using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace FYEDrawDemo_CSharp
{
    public partial class ShapePropForm : Form
    {
        public int m_iSeqNum;
        public String m_sTitle;
        public String m_sName;

        public ShapePropForm()
        {
            InitializeComponent();
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            m_iSeqNum = Int32.Parse(txtSeqNum.Text);
            m_sTitle = txtTitle.Text;
            m_sName = txtName.Text;

            this.DialogResult = DialogResult.OK;
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.Cancel;
        }

        private void ShapePropForm_Load(object sender, EventArgs e)
        {
            txtSeqNum.Text = String.Format("{0}", m_iSeqNum);
            txtTitle.Text = m_sTitle;
            txtName.Text = m_sName;
        }
    }
}
